Bug 649940 - GDM behaves differently with runlevel change (5 to 3) than pre-F14
Summary: GDM behaves differently with runlevel change (5 to 3) than pre-F14
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 654028 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 20:45 UTC by Chris Tyler
Modified: 2012-08-16 20:16 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:16:49 UTC
Type: ---


Attachments (Terms of Use)

Description Chris Tyler 2010-11-04 20:45:51 UTC
Description of problem:
Changing the runlevel from 5 to 3 or stopping/starting the prefdm service does not have the same (expected) effect as pre-F13.

Version-Release number of selected component (if applicable):
initscripts-9.20.1-1.fc14

Steps to Reproduce:
1. Start F14 in runlevel 5 with the default Gnome GUI configuration.
2. Login.
3. From a terminal, as root, execute "init 3" or "telinit 3" or "stop prefdm"

Actual results:
GUI remains active - no visible change.

Expected results:
GUI terminates, and the user sees the console interface with character-mode login prompt.

Additional info:
* If the prefdm service has been stopped, and the user logs out, the user sees the default background image (only) on the screen and cannot (i) login graphically or (ii) switch VTs using Ctrl-Alt-Fx.

* Booting into runlevel 3 works as expected.

* Switching to runlevel 5 from runlevel 3 (selected at boot) works as expected.

Comment 1 Chris Tyler 2010-11-04 20:46:36 UTC
Edit above: should read pre-F14.

Comment 2 Nathanael Noblet 2010-11-09 22:19:00 UTC
I can confirm this behaviour on 2 additional machines (nvidia and intel graphics) in case that matters...

Comment 3 Bill Nottingham 2010-11-16 17:01:25 UTC
*** Bug 654028 has been marked as a duplicate of this bug. ***

Comment 4 Michael Schwendt 2010-11-17 21:00:26 UTC
Somebody please notice bug 640925 where I reported this log ago.

Comment 5 jjletho67-bugzilla 2010-12-24 15:38:01 UTC
I have just reported the bug  665540 (https://bugzilla.redhat.com/show_bug.cgi?id=665540) which is, in my opinion correlated to this one.

Comment 6 gabicr 2011-01-21 19:48:36 UTC
This bug is still present on my fedora 14 system.

Comment 7 htd 2011-01-22 10:06:05 UTC
Yes, it is. This has been reported for months without anything happening in the meantime. My machines are all switched to opensuse and archlinux now, because this bug is blocking in my case. I don' care any longer, sorry!

Comment 8 Fedora Admin XMLRPC Client 2011-06-21 15:34:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2011-06-21 15:35:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2011-06-21 15:39:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2011-06-21 15:42:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2011-06-21 15:51:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2011-06-21 15:54:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2011-06-21 15:56:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Admin XMLRPC Client 2011-06-21 15:57:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora End Of Life 2012-08-16 20:16:51 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.